<?php

namespace Payment\Payment\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Payment\Payment\Interfaces\PaymentsRepositoryInterface;

class PaymentsPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Payment\Payments\Interfaces\PaymentsRepositoryInterface $payments
     *
     * @return type
     */
    public function __construct(PaymentsRepositoryInterface $payments)
    {
        $this->model = $payments;
        parent::__construct();
    }

    /**
     * Show payments's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $payments = $this->model->all();

        return $this->theme->of('payment::public.payments.index', compact('payments'))->render();
    }

    /**
     * Show payments.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $payments = $this->model->findBySlug($slug);

        return $this->theme->of('payment::public.payments.show', compact('payments'))->render();
    }
}
