<?php

namespace Payment\Payment\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Payments extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('payment.payments.fillable');
        $this->uploads = config('payment.payments.uploadable');
        $this->uploadRootFolder = config('payment.payments.upload_root_folder');
        $this->table = config('payment.payments.table');
    }
}
